Bug 1160906 - (CVE-2020-7217) VUL-1: CVE-2020-7217: wicked: memory leak in DHCP4 fsm when processing packets for other client ids
(CVE-2020-7217)
VUL-1: CVE-2020-7217: wicked: memory leak in DHCP4 fsm when processing packet...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/250864/
CVSSv2:NVD:CVE-2020-7217:5.0:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-14 12:27 UTC by Malte Kraus
Modified: 2020-05-13 13:16 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
dhcp4: discard lease on client-id mismatch (CVE-2020-7217,bsc#1160906) (836 bytes, patch)
2020-02-04 09:34 UTC, Rubén Torrero Marijnissen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Malte Kraus 2020-01-14 12:27:22 UTC
When ni_dhcp4_fsm_process_dhcp4_packet processes a DHCP4 packet for another client-id, it fails to free the lease associated with this packet.
Comment 1 Malte Kraus 2020-01-20 09:22:43 UTC
Please use CVE-2020-7217.
Comment 3 Rubén Torrero Marijnissen 2020-02-04 09:34:34 UTC
Created attachment 829010 [details]
dhcp4: discard lease on client-id mismatch (CVE-2020-7217,bsc#1160906)
Comment 4 Swamp Workflow Management 2020-02-06 17:18:09 UTC
SUSE-SU-2020:0347-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1160904,1160906
CVE References: CVE-2019-18903,CVE-2020-7217
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    wicked-0.6.60-3.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-02-06 20:18:43 UTC
SUSE-SU-2020:0351-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1142214,1160903,1160904,1160905,1160906
CVE References: CVE-2019-18902,CVE-2019-18903,CVE-2020-7216,CVE-2020-7217
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    wicked-0.6.60-3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-02-07 14:17:53 UTC
SUSE-SU-2020:0358-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1142214,1160903,1160904,1160905,1160906
CVE References: CVE-2019-18902,CVE-2019-18903,CVE-2020-7216,CVE-2020-7217
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    wicked-0.6.60-28.26.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    wicked-0.6.60-28.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-02-07 17:11:51 UTC
SUSE-SU-2020:0369-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1160903,1160904,1160905,1160906
CVE References: CVE-2019-18902,CVE-2019-18903,CVE-2020-7216,CVE-2020-7217
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    wicked-0.6.60-2.18.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    wicked-0.6.60-2.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-02-07 17:16:29 UTC
SUSE-SU-2020:0370-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1160904,1160906
CVE References: CVE-2019-18903,CVE-2020-7217
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    wicked-0.6.60-3.24.1
SUSE Linux Enterprise Server 15-LTSS (src):    wicked-0.6.60-3.24.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    wicked-0.6.60-3.24.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    wicked-0.6.60-3.24.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    wicked-0.6.60-3.24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-02-11 23:13:03 UTC
openSUSE-SU-2020:0207-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1160904,1160906
CVE References: CVE-2019-18903,CVE-2020-7217
Sources used:
openSUSE Leap 15.1 (src):    wicked-0.6.60-lp151.2.9.1
Comment 11 Swamp Workflow Management 2020-02-19 14:21:06 UTC
SUSE-SU-2020:0410-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1160903,1160904,1160905,1160906
CVE References: CVE-2019-18902,CVE-2019-18903,CVE-2020-7216,CVE-2020-7217
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    wicked-0.6.60-38.27.1
SUSE OpenStack Cloud 8 (src):    wicked-0.6.60-38.27.1
SUSE OpenStack Cloud 7 (src):    wicked-0.6.60-38.27.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    wicked-0.6.60-38.27.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    wicked-0.6.60-38.27.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    wicked-0.6.60-38.27.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    wicked-0.6.60-38.27.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    wicked-0.6.60-38.27.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    wicked-0.6.60-38.27.1
SUSE Enterprise Storage 5 (src):    wicked-0.6.60-38.27.1
SUSE CaaS Platform 3.0 (src):    wicked-0.6.60-38.27.1
HPE Helion Openstack 8 (src):    wicked-0.6.60-38.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2020-02-26 22:10:16 UTC
This is an autogenerated message for OBS integration:
This bug (1160906) was mentioned in
https://build.opensuse.org/request/show/779668 Factory / wicked
Comment 14 Marius Tomaschewski 2020-03-23 17:55:28 UTC
fixed and update requests submitted / released
Comment 16 Alexandros Toptsoglou 2020-05-13 13:16:47 UTC
Done